""" simple data entry commands. """

import boht

class Log(boht.base.Object):

    """ log entry. """

    def __init__(self):
        super().__init__()
        self.txt = ""

class Todo(boht.base.Object):

    """ todo entry. """
    def __init__(self):
        super().__init__()
        self.txt = ""

def log(event):
    """
        enter a log entry.
        
        log <txt>
        
        1) log woke up
        
    """
    obj = Log()
    obj.txt = event.rest
    obj.save()
    event.ok(1)

def todo(event):
    """
        enter a todo item.
        
        todo <txt>
        
        1) todo fix the next bug
        
    """
    obj = Todo()
    obj.txt = event.rest
    obj.save()
    event.ok(1)
