""" semi static tables.  """

#:
aliases = {
           "c": "show cmds",
           "cfg": "show cfg",
           "e": "ed",
           "f":"find",
           "h": "show help",
           "m": "show mods",
           "ps": "show threads",
           "s": "show",
           "t": "show types",
           "v": "show version"
}

#:
args = {"log": ["txt",]}

#:
classes = {
         "cfg": "boht.Cfg",
         "command": "boht.command.Command",
         "event": "boht.Event",
         "handler": "boht.handler.Handler",
         "log": "boht.entry.Log",
         "obj": "boht.Object",
         "shell": "boht.shell.Shell",
         "todo": "boht.entry.Todo"
}

#:
names = {
         "ed": "boht.cmds",
         "fleet": "boht.cmds",
         "find": "boht.cmds",
         "load": "boht.cmds",
         "log": "boht.cmds",
         "meet": "boht.cmds",
         "rm": "boht.cmds",
         "show": "boht.cmds",
         "stop": "boht.cmds",
         "undel": "boht.cmds",
         "unload": "boht.cmds"
}

#:
modnames = {
         "Cfg": "boht",
         "Command": "boht.command",
         "Event": "boht",
         "Handler": "boht.handler",
         "Log": "boht.entry",
         "Object": "boht.base",
         "Shell": "boht.shell",
         "Store": "boht.base",
         "Task": "boht.tasks",
         "Token": "boht.command"
}

#:
types = ["boht.Cfg", "boht.command.Command", "boht.entry.Log", "boht.entry.Todo", "boht.Event", "boht.handler.Handler",
         "boht.irc.Cfg", "boht.loader.Loader", "boht.base.Object", "boht.shell.Shell", "boht.base.Store", "boht.tasks.Task", 
         "boht.command.Token", "boht.users.User"]
